/*------------------------------------------------------------
 * Styles for loops
 *------------------------------------------------------------*/

.hygge-blog {

	.editor-content & {
		margin-bottom: 2.8em;
	}

	.hygge-fullwidth &:last-child,
	.hygge-contentwidth &:last-child {
		margin-bottom: 0;
	}

	&__title {
		margin-bottom: 50px;

		.hygge-blog--style-list &,
		.hygge-blog--style-list-highlights &,
		.hygge-blog--style-widget-list & {
			max-width: 780px;
			margin-left: auto;
			margin-right: auto;
		}

		.hygge-blog:not(.hygge-blog--style-list):not(.hygge-blog--style-list-highlights):not(.hygge-blog--style-widget-list) & {
			text-align: center;

			hr {
				margin-left: auto;
			}
		}

		.post__content .hygge-sideblock & {
			margin-left: 0;
			text-align: left;
			margin-bottom: 30px;
		}
	}

	&.hygge-blog--style-archive_gallery + .hygge-blog--style-archive_gallery {
		margin-top: 4.5em;
	}
}



.featured-posts {
	margin-bottom: 2.8em;

	div + & {
		margin-top: 2.8em;
	}
}



.loop-container {
	overflow: hidden;

	// Sticky Post Style
	article.sticky {
		.post__media{
			position: relative;

			&:after {
				content: attr(data-sticky-text);
				.label;
				position: absolute;
				top: 0;
				right: 0;
				display: block;
				line-height: 30px;
				padding: 20px 0;
				white-space: nowrap;
				-webkit-writing-mode: vertical-lr;
				writing-mode: vertical-lr;
				background: @black;
				color: @white;
			}
		}
	}

	img {
		width: 100%;
	}

	.post__title {
		text-align: left;
	}

	.excerpt {
		.small;
		line-height: 1.7;

		&:empty { display: none; }
	}

	&:not(.loop-container--style-list-highlights){
		.blockquote-wrapper {
			padding: 30px 10px;
		}

		blockquote {
			pointer-events: none;
			line-height: 1.4;
			padding: 0 20px 0 40px;
			margin: 0;

			cite { padding-top: 1.7em;}
		}
	}

	.hygge-sideblock & + .hygge-blog__more {
		text-align: left;
		margin-top: 1.7em;
		margin-bottom: 1.7em;

		.hygge-separator { display: none; }
		a { margin: 0; }
	}

	.footer & {
		margin-bottom: 1.7em;
	}

	.post__meta {
		padding: 20px 0 0;
		margin: 0;

		div {
			.hygge-list--slash();
		}
	}

	.widget-area--blog--square {
		background: #f7f7f7;
		display: flex;
		justify-content: center;
		align-items: center;
		padding-top: 30px;
		padding-bottom: 30px;

		img {
			width: auto;
		}
	}
}



/* Basic Loop Display Style: Masonry, List, Filmstrip
 *------------------------------------------------------------*/

.loop-container--style-masonry,
.loop-container--style-list,
.loop-container--style-list-highlights,
.loop-container--style-grid,
.loop-container--style-grid-3-1,
.loop-container--style-grid-3-2 {

	article {
		overflow: hidden;

		.post__inwrap {
			position: relative;
			.clearfix;
		}

		.gallery {
			width: 100%;
			margin-bottom: 0;
			margin-top: 0;
		}

		.hygge-embed-container,
		.mejs-container {
			margin-bottom: 0;
		}

		.post__media {
			text-align: center;

			img {
				vertical-align: bottom;
			}
		}

		.post__text {
			.clearfix;
			padding-top: 30px;
		}


		.post__meta {
			padding: 25px 0 0;
			float: left;
			color: @grey-label;
		}

		&:hover {
			z-index: 2;
		}
	}
}



/* Loop Display Style: List & List Highlights
 *------------------------------------------------------------*/

.loop-container--style-list,
.loop-container--style-list-highlights {
	article {
		max-width: 780px;
		margin-left: auto;
		margin-right: auto;
		margin-top: 2.8em;

		&:nth-child(1) {
			margin-top: 0;
		}

		blockquote {
			padding: 0;
		}

		@media @tablet, @desktop {
			.post__inwrap {
				display: flex;
			}

			.post__media {
				width: 50%;
				margin-right: 50px;

				.hygge-media-hover {
					width: 100%;
				}
			}

			.post__text {
				width: 50%;
				padding: 15px 0;
				display: flex;
				flex-direction: column;
				justify-content: space-between;
			}
		}
	}
}

.loop-container--style-list {
	article {
		.post__text blockquote {
			padding: 0;
			font-size: 18px;
		}
	}
}

.loop-container--style-list-highlights {
	article {
		&:not(.format-standard) {
			.post__inwrap {
				display: block;
			}

			.post__media {
				display: block;
				width: 100%;
				padding-right: 0px;
			}

			.post__text {
				display: block;
				width: 100%;
				padding: 30px 0 16px 30px;

				&__top {
					max-width: 500px;
				}
			}
		}
	}
}



/* Loop Display Style: Grid
 *------------------------------------------------------------*/

.loop-container--style-grid {

	.hygge-fullwidth & {
		.padding-wrapper;
	}

	article {
		padding-bottom: 30px;

		.post__title,
		.excerpt {
			text-align: center;
		}

		.excerpt {
			padding-left: 25px;
			padding-right: 25px;
			margin-bottom: 1em;
		}

		.post__text__bottom {
			text-align: center;
		}
	}

	@media @tablet, @desktop {
		display: flex;
		flex-wrap: wrap;
		justify-content: flex-start;

		body:not(.browser-ie) & {
			margin-left: -50px;
		}

		article {
			flex: 0 0 50%;
			padding-bottom: 50px;

			.post__inwrap {
				padding-left: 50px;
			}
		}
	}

	@media @tablet-h {
		.hygge-sidebar--false & {
			article { flex-basis: 33.33%; }
		}
	}

	@media @desktop {
		article {
			flex-basis: 33.33%;

			.post__content & { flex-basis: 50%; }
			.hygge-contentwidth & { flex-basis: 33.33%; }
			.hygge-fullwidth & { flex-basis: 33.33%; }
		}
	}

	@media @desktop-m {
		article {
			.hygge-contentwidth & {
				.hygge-sidebar--false & { flex-basis: 24.9%; }
			}
			.hygge-fullwidth & { flex-basis: 24.9%; }
		}
	}

	@media @desktop-l {
		article {
			.hygge-fullwidth & {
				.hygge-sidebar--false & { flex-basis: 20%; }
			}
		}
	}
}



/* Loop Display Style: Grid 3-1
 *------------------------------------------------------------*/

.loop-container--style-grid-3-1 {

	@media @tablet, @desktop {
		display: flex;
		flex-wrap: wrap;

		article {
			flex: 0 0 50%;

			.post__text {
				padding: 30px 30px 50px;

				.hygge-sidebar--true .editor-content & {
					padding-left: 10px;
					padding-right: 20px;
				}
			}
		}
	}

	@media @tablet {
		article {
			&:nth-child(3n+3) { flex-basis: 100%; }
		}
	}

	@media @tablet-h {
		article {
			.hygge-sidebar--false & {
				flex-basis: 33.33%;
				&:nth-child(4n+4) { flex-basis: 100%; }
			}
		}
	}

	@media @desktop {
		article {
			flex-basis: 33.33%;
			&:nth-child(4n+4) { flex-basis: 100%; }

			.post__content & {
				flex-basis: 50%;
				&:nth-child(3n+3) { flex-basis: 100%; }
				&:nth-child(4n+4) { flex-basis: 50%; }
			}
			.hygge-contentwidth &,
			.hygge-fullwidth & {
				flex-basis: 33.33%;
				&:nth-child(3n+3) { flex-basis: 33.33%; }
				&:nth-child(4n+4) { flex-basis: 100%; }
			}
		}
	}
}



/* Loop Display Style: Grid 3-2
 *------------------------------------------------------------*/

.loop-container--style-grid-3-2 {

	@media @tablet, @desktop {
		display: flex;
		flex-wrap: wrap;

		article {
			flex: 0 0 50%;

			.post__text {
				padding: 30px 30px 50px;

				.hygge-sidebar--true .editor-content & {
					padding-left: 10px;
					padding-right: 20px;
				}
			}
		}
	}

	@media @tablet {
		article {
			&:nth-child(3n+3) { flex-basis: 100%; }
		}
	}

	@media @tablet-h {
		article {
			.hygge-sidebar--false & {
				flex-basis: 33.33%;
				&:nth-child(5n+4) { flex-basis: 50%; }
				&:nth-child(5n+5) { flex-basis: 50%; }
			}
		}
	}

	@media @desktop {
		article {
			flex-basis: 33.33%;
			&:nth-child(5n+4) { flex-basis: 50%; }
			&:nth-child(5n+5) { flex-basis: 50%; }

			.post__content & {
				flex-basis: 50%;
				&:nth-child(3n+3) { flex-basis: 100%; }
			}
			.hygge-contentwidth &,
			.hygge-fullwidth & {
				flex-basis: 33.33%;
				&:nth-child(3n+3) { flex-basis: 33.33%; }
				&:nth-child(5n+4) { flex-basis: 50%; }
				&:nth-child(5n+5) { flex-basis: 50%; }
			}
		}
	}
}





/* Loop Display Style: Masonry
 *------------------------------------------------------------*/

.loop-container--style-masonry {
	position: relative;

	article {
		padding-bottom: 30px;
	}

	@media @tablet, @desktop {
		article {
			float: left;
			padding-bottom: 50px;

			.post__text {
				padding: 30px 30px 0px;

				.hygge-sidebar--true .editor-content & {
					padding-left: 20px;
					padding-right: 20px;
				}
			}
		}
	}

	@media @tablet {
		article {
			width: 49.9%;
			width: ~"calc( 1/2 * 100% )";
		}
	}

	@media @tablet-h {
		article {
			.hygge-sidebar--false & {
				width: 33.33%;
				width: ~"calc( 1/3 * 100% )";
			}
		}
	}

	@media @desktop {
		article {
			width: 33.33%;
			width: ~"calc( 1/3 * 100% )";

			.post__content & {
				width: 49.9%;
				width: ~"calc( 1/2 * 100% )";
			}

			.hygge-contentwidth & {
				width: 33.33%;
				width: ~"calc( 1/3 * 100% )";
			}

			.hygge-fullwidth & {
				width: 33.33%;
				width: ~"calc( 1/3 * 100% )";
			}
		}
	}

	@media @desktop-m {
		article {
			.hygge-fullwidth & {
				width: 24.9%;
				width: ~"calc( 1/4 * 100% )";
			}
		}
	}

	@media @desktop-l {
		article {
			.hygge-fullwidth & {
				.hygge-sidebar--false & {
					width: 19.9%;
					width: ~"calc( 1/5 * 100% )";
				}
			}
		}
	}

}





/* Loop Display Style: Widget Classic List
*------------------------------------------------------------*/

.loop-container--style-widget-list {

	article {
		.clearfix;
		margin: 0;
		text-align: left;

		& + .post {
			margin-top: 30px;
		}

		a {
			display: block;
			.clearfix;

			&:hover {
				.post__title {
					color: @primary-color;
				}
			}
		}

		& > a > .hygge-media-hover {
			display: flex;
		}

		.post__media {
			margin-right: 30px;
			flex: 1 0 114px;
			max-width: 114px;
		}

		.post__text {
			padding: 0;
			overflow: hidden;

			.main-content & {
				padding-right: 10px;
			}

			.post__title {
				margin-bottom: 0.5em;
				.transition;
			}
		}
	}
}



/* Loop Display Style: Widget Slider
*------------------------------------------------------------*/

.loop-container--style-widget-slider {

	.hygge-sideblock & {

		@media @tablet-h, @desktop {
			margin-right: -40px;
		}
	}

	.post {
		.clearfix;
		margin: 0;
		text-align: left;

		.post__media {
			margin-bottom: 20px;
		}

		.post__text {
			.post__title {
				margin-bottom: 0.5em;
			}
		}
	}
}



/* Loop Display Style: Widget Filmstrip
*------------------------------------------------------------*/

.hygge-blog--style-filmstrip {
	overflow: hidden;

	.blog-filmstrip-wrapper {
		@media @mobile, @tablet {
			overflow-x: scroll;
			padding-bottom: 20px;
		}
	}

	.loop-container--style-filmstrip {
		overflow: hidden;
		white-space: nowrap;

		.post {
			position: relative;
			white-space: normal;
			display: inline-block;
			max-width: 100vw;

			.post__text {
				position: absolute;
				top: 50%;
				left: 50%;
				.translate(-50%, -50%);
				-webkit-backface-visibility: hidden;
				text-align: center;
			}

			.post__title {
				margin-top: 16px;
				.transition(~"all 0.4s cubic-bezier( 0.4, 0, 0.3, 1 )");
				text-align: center;

				a:hover {
					color: @white;
				}
			}

			&:hover {
				.post__title {
					margin-top: 40px;
				}
			}
		}
	}
}





/* Related Posts Loop
 *------------------------------------------------------------*/

.loop-container--style-related {
	margin-bottom: 0;

	.post {
		.clearfix;

		& + .post {
			margin-top: 30px;
		}

		a:hover {
			.post__title {
				color: @primary-color;
			}
		}

		.post__media {
			float: left;
			margin-right: 30px;
			width: 114px;

			img {
				width: 100%;
			}
		}

		&__text {
			padding: 0;
			overflow: hidden;

			.post__title {
				font-size: 16px !important;
				margin-bottom: 0.5em;
				.transition;
			}

			.post__meta {
				padding-top: 0;
			}
		}
	}

	@media @tablet, @desktop {
		display: flex;
		flex-wrap: wrap;
		justify-content: center;
		margin-left: -30px;

		.post {
			flex: 0 0 33.3%;
			overflow: hidden;

			& + .post {
				margin-top: 0;
			}

			&:nth-child(4),
			&:nth-child(5) {
				display: none;
			}

			&__inwrap {
				padding-left: 30px;
			}

			.post__media {
				float: none;
				margin-right: 0;
				width: auto;
			}

			&__text {
				.post__title {
					margin: 25px 0 0;
				}

				.post__meta {
					padding-top: 10px;
				}
			}
		}
	}

	.post {
		@media @desktop {
			flex-basis: 25%;
			&:nth-child(4){
				display: block;
			}
		}
		@media @desktop-m {
			flex-basis: 20%;
			&:nth-child(5){
				display: block;
			}
		}
	}
}





/* Carousel Loop
 *------------------------------------------------------------*/

.loop-container--style-carousel {
	margin-left: 0;
	margin-right: 0;
	text-align: center;

	article {
		position: relative;
		overflow: hidden;
		max-width: 1200px;

		&.hygge-carousel__item--prev {
			cursor: w-resize;
		}
		&.hygge-carousel__item--next {
			cursor: e-resize;
		}
	}

	.post__inwrap {
		position: relative;
		width: 100%;
		height: 100%;
	}

	.post__media {
		height: 100%;
		background-size: cover;

		img {
			visibility: hidden;
			pointer-events: none;
			min-width: 500px;
		}
	}

	.post__text {
		position: absolute;
		top: 50%;
		left: 50%;
		.translate( -50%, ~"calc(-40% - 50px)" );
		-webkit-backface-visibility: hidden;
		background: @white;
		padding: 0 50px 40px;
		margin: 50px 0;
		width: 80%;
		max-width: 600px;
		opacity: 0;
		.transition(~"all 0.5s ease-in-out");

		@media @mobile {
			padding: 0 20px 20px;
		}
	}

	.post__category {
		.translateY( -50% );
	}

	.post__title {
		margin-top: 20px;
		text-align: center;

		@media @tablet, @desktop {
			margin-top: 40px;
			margin-bottom: 25px;
		}
	}

	.excerpt {
		cursor: default;
		padding: 0 10%;
		max-width: 460px;
		margin-left: auto;
		margin-right: auto;

		@media @mobile {
			display: none;
		}
	}

	.hygge-carousel__item--active {
		.post__text {
			.translate( -50%, ~"calc(-50% - 50px)" );
			opacity: 1;
		}
	}

	@media @tablet {
		article {
			padding: 0 20px;
		}
	}

	@media @desktop {
		article {
			padding: 0 40px;
		}
	}
}
